import { URI } from '@stoplight/uri/lib/uri';
import * as Types from './types';
export declare class Resolver implements Types.IResolver {
    authorityCache: Types.ICache;
    readers: {
        [scheme: string]: Types.IReader;
    };
    transformRef?: (opts: Types.ITransformRefOpts, ctx: any) => URI | any;
    parseAuthorityResult?: (opts: Types.IParseAuthorityOpts) => Promise<Types.IParseAuthorityResult>;
    debug: boolean;
    resolvePointers: boolean;
    resolveAuthorities: boolean;
    ctx: any;
    constructor(opts?: Types.IResolverOptions);
    resolve(source: any, opts?: Types.IResolveOptions): Promise<Types.IResolveResult>;
}
